%global momorel 2

Summary:	An object database, tag/metadata database, search tool and indexer
Name:		tracker
Version:	0.8.15
Release:	%{momorel}m%{?dist}
License:	GPLv2+
Group:		Applications/System
URL:		http://projects.gnome.org/tracker/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/tracker/0.8/tracker-%{version}.tar.bz2
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gmime22-devel, poppler-glib-devel >= 0.14.0 , evolution-devel
BuildRequires:	gnome-desktop-devel >= 2.29.0, gamin-devel, libnotify-devel
BuildRequires:	totem-pl-parser-devel >= 2.29.1, libgsf-devel, gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel libvorbis-devel
BuildRequires:	libjpeg-devel >= 8a, libexif-devel, exempi-devel, raptor-devel
BuildRequires:	libiptcdata-devel
BuildRequires:	desktop-file-utils, intltool, gettext, deskbar-applet-devel
BuildRequires:	sqlite-devel, qdbm-devel, pygtk2-devel, libtiff-devel
BuildRequires:	autoconf, automake, libtool
BuildRequires:  dbus-glib-devel >= 0.86
BuildRequires:  libgee-devel
BuildRequires:  evolution-data-server-devel >= 2.30.2

%description
Tracker is a powerful desktop-neutral first class object database,
tag/metadata database, search tool and indexer. 

It consists of a common object database that allows entities to have an
almost infinte number of properties, metadata (both embedded/harvested as
well as user definable), a comprehensive database of keywords/tags and
links to other entities.

It provides additional features for file based objects including context
linking and audit trails for a file object.

It has the ability to index, store, harvest metadata. retrieve and search  
all types of files and other first class objects

%package devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	dbus-glib-devel gtk2-devel

%description devel
This package contains the static libraries and header files needed for
developing with tracker

%package search-tool
Summary:	Tracker search tool(s)
Group:		User Interface/Desktops
Requires:	%{name} = %{version}-%{release}

%description search-tool
Graphical frontend to tracker search facilities. This has dependencies on
GNOME libraries

%prep
%setup -q

%build
%configure --enable-silent-rules \
  --disable-static \
  --enable-external-qdbm \
  --enable-libvorbis \
  --enable-gstreamer-tagreadbin \
  --enable-gstreamer-helix \
  --enable-libflac \
  --enable-tracker-explorer \
  --enable-gtk-doc

%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%post search-tool
%{_bindir}/gtk-update-icon-cache -q -t -f  %{_datadir}/icons/hicolor || :

%postun -p /sbin/ldconfig

%postun search-tool
%{_bindir}/gtk-update-icon-cache -q -t -f  %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/tracker-control
%{_bindir}/tracker-explorer
%{_bindir}/tracker-import
%{_bindir}/tracker-info
%{_bindir}/tracker-search
%{_bindir}/tracker-sparql
%{_bindir}/tracker-stats
%{_bindir}/tracker-status
%{_bindir}/tracker-status-icon
%{_bindir}/tracker-tag
%{_libexecdir}/tracker*
%{_datadir}/tracker/
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{_mandir}/*/tracker*.*
%{_libdir}/bonobo/servers/GNOME_Search_Bar_Applet.server
%{_libdir}/evolution/2.30/plugins/*
%{_libdir}/nautilus/extensions-2.0/libnautilus-tracker-tags.*
%{_libdir}/tracker-0.8
%{_datadir}/dbus-1/services/*

%{_sysconfdir}/xdg/autostart/tracker-miner-fs.desktop
%{_sysconfdir}/xdg/autostart/tracker-status-icon.desktop
%{_sysconfdir}/xdg/autostart/tracker-store.desktop

%files devel
%defattr(-, root, root, -)
%{_includedir}/tracker*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/libtracker-common
%doc %{_datadir}/gtk-doc/html/libtracker-client
%doc %{_datadir}/gtk-doc/html/libtracker-extract
%doc %{_datadir}/gtk-doc/html/libtracker-miner
%doc %{_datadir}/gtk-doc/html/ontology
%{_datadir}/tracker-tests

# vala
%{_datadir}/vala/vapi/tracker-client-0.8.vapi
%{_datadir}/vala/vapi/tracker-miner-0.8.deps
%{_datadir}/vala/vapi/tracker-miner-0.8.vapi

%files search-tool
%defattr(-, root, root, -)
%{_bindir}/tracker-preferences
%{_bindir}/tracker-search-tool
%{_datadir}/icons/*/*/apps/tracker.*
%{_datadir}/applications/*.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.15-2m)
- full rebuild for mo7 release

* Fri Jul 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.15-1m)
- update to 0.8.15

* Fri Jun 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.13-1m)
- update to 0.8.13

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.12-3m)
- rebuild against evolution-2.30.2

* Sun Jun 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.12-2m)
- vapi and gir to devel

* Fri Jun 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.12-1m)
- update to 0.8.12

* Sat Jun 12 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.11-1m)
- update to 0.8.11

* Wed Jun  9 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.10-3m)
- rebuild against poppler-0.14.0

* Mon Jun  7 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.10-2m)
- add BuildRequires and --enable-tracker-explorer

* Fri Jun  4 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.10-1m)
- update to 0.8.10

* Tue Jun  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.95-9m)
- change BuildRequires: from poppler-devel to poppler-glib-devel

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.95-8m)
- rebuild against libjpeg-8a

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.95-7m)
- rebuild against totem-pl-parser-2.29.1

* Mon Feb 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.95-6m)
- rebuild against gnome-desktop-2.29.90

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.95-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Sep 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.95-4m)
- rebuild against libjpeg-7

* Fri Aug 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.95-3m)
- rebuild against gmime22

* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.95-2m)
- fix BuildRequires

* Sun May 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.95-1m)
- update to 0.6.95

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-7m)
- do not autostart in GNOME

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-6m)
- rebuild against gnome-desktop-2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.6-5m)
- rebuild against rpm-4.6

* Mon Oct 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.6-4m)
- fix force bz2 man

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-3m)
- rebuild against gnome-desktop-2.24.0

* Mon May 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6-2m)
- remove vendor="fedora" from desktop file

* Sun May 18 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.6-1m)
- import from Fedora

* Fri Mar 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.6-2
- BR poppler-glib-devel instead of poppler-devel for pdf extract module (Thanks to Karsten Hopp mass rebuild work for bringing this to light)

* Sun Mar 02 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.6-1
- New release 0.6.6

* Thu Feb 28 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.5-1
- New release 0.6.5

* Fri Feb 22 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.4-7
- Ship the tracker-applet program in the tracker-search-tool subpackage
  (Bug #434551)

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.4-6
- Rebuild for gcc43

* Thu Jan 24 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.4-5
- Backport assorted fixes from upstream svn (Fix Fedora bug 426060)

* Mon Jan 21 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.4-4
- Now require the externally packaged o3read to provide o3totxt

* Fri Dec 14 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.4-3
- Undo the patch, seems to be issues (bug #426060)

* Fri Dec 14 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.4-2
- Backport crasher fixes from upstream svn trunk

* Mon Dec 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.4-1
- Version 0.6.4

* Tue Dec 04 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.3-3
- Rebuild for exempi-1.99.5

* Sun Nov 25 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.3-2
- Add missing gtk+ icon cache scriptlets.

* Tue Sep 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.3-1
- Version 0.6.3

* Tue Sep 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.2-2
- Make trackerd start on x86_64 (Bug #286361, fix by Will Woods)

* Wed Sep 05 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.2-1
- Version 0.6.2

* Sat Aug 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.1-2
- Rebuild

* Wed Aug 08 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.0-3
- License tag update

* Wed Jul 25 2007 Jeremy Katz <katzj@redhat.com> - 0.6.0-2.1
- rebuild for toolchain bug

* Mon Jul 23 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.0-1
- Update to 0.6.0
- Manually specify path to deskbar-applet handler directory, koji can't find it

* Mon Jan 29 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-2
- Split out tracker-search-tool sub-packages, for the GUI facility
- Add proper requires for the -devel subpackage
- Deal with the rpmlint complaints on rpath

* Sat Jan 27 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-1
- Update to 0.5.4

* Tue Dec 26 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.3-1
- Update to 0.5.3

* Mon Nov 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.2-2
- Apply patch on Makefile.am instead of Makefile.in
- Add libtool to BR

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.2-1
- Update to 0.5.2

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.1-1
- Update to new version

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-7
- Have the devel subpackage require pkgconfig
- Make the description field not have more than 76 characters on a line
- Fix up the RPM group

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-6
- Explicitly require dbus-devel and dbus-glib (needed for FC < 6) 

* Sun Nov 05 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-5
- Remove unneeded BRs (gnome-utils-devel and openssl-devel) 

* Sun Nov 05 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-4
- Add autostart desktop file.
- Edit the package description as suggested in review

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-3
- More cleaups to the spec file.

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-2
- Add needed BRs

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-1
- Initial packaging for Fedora Extras
